Comment 5 for bug 529242

(I am the person working on plugins for Chrome.) I find all of the comments in this area very confusing -- most of them are the form "it doesn't work for me" or "use the new version" without any details like version numbers that would help me determine whether there's a problem. In particular, I am surprised that Chromium vs Google Chrome could matter here.

In short: Does this plugin work for anyone? If so, which versions of which browsers with which versions of the plugin?